Get customer
curl --request GET \
--url https://api.business.bumxpress.com/customers/{customer_id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"customer_type": "individual",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_status": "not_started",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_ref": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"id_number": "<string>",
"id_type": "national_id",
"email": "jsmith@example.com",
"phone": "+237670000000",
"country_code": "CM",
"nationality_code": "CM",
"date_of_birth": "2023-12-25",
"address_line1": "<string>",
"city": "<string>",
"occupation": "<string>",
"source_of_funds": "<string>",
"_meta": {
"idempotency_key": "<string>",
"idempotency_replayed": true
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}Customers
Get customer
Retrieve a merchant-scoped customer by ID.
GET
https://api.business.bumxpress.com
/
customers
/
{customer_id}
Get customer
curl --request GET \
--url https://api.business.bumxpress.com/customers/{customer_id} \
--header 'X-Api-Key: <api-key>' \
--header 'X-Api-Secret: <api-key>'{
"customer_type": "individual",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kyc_status": "not_started",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_ref": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"business_name": "<string>",
"id_number": "<string>",
"id_type": "national_id",
"email": "jsmith@example.com",
"phone": "+237670000000",
"country_code": "CM",
"nationality_code": "CM",
"date_of_birth": "2023-12-25",
"address_line1": "<string>",
"city": "<string>",
"occupation": "<string>",
"source_of_funds": "<string>",
"_meta": {
"idempotency_key": "<string>",
"idempotency_replayed": true
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}{
"error": {
"code": "bad_request",
"message": "quote_id is required"
}
}The authenticated API key can only access customers that belong to its merchant.
Authorizations
Public API key from the merchant dashboard.
Secret shown once when the API key is created.
Path Parameters
Response
Customer object.
Available options:
individual, retail, business Available options:
not_started, pending, approved, rejected Example:
"active"
Merchant reference, unique per merchant.
Available options:
national_id, passport, driver_license Example:
"+237670000000"
Required string length:
2Example:
"CM"
Required string length:
2Example:
"CM"
Show child attributes
Show child attributes
Last modified on July 8, 2026